#include "../../src/Battling/Library/MiscLibrary.hpp"
#include "../Core.hpp"
using namespace PkmnLib::Battling;

export MiscLibrary* PkmnLib_MiscLibrary_Construct(PkmnLib::Library::TimeOfDay (*getTime)()) {
    return new MiscLibrary(getTime);
}

export void PkmnLib_MiscLibrary_Destruct(MiscLibrary* p) { delete p; }

export u8 PkmnLib_MiscLibrary_CanEvolveFromLevelUp(bool& out, MiscLibrary* p,
                                                   const PkmnLib::Library::EvolutionData* evoData,
                                                   const Pokemon* pokemon) {
    Try(out = p->CanEvolveFromLevelUp(evoData, pokemon))
}