#ifndef PKMNLIB_CAPTURELIBRARY_HPP
#define PKMNLIB_CAPTURELIBRARY_HPP

#include <CreatureLib/Defines.hpp>
#include "../Pokemon/Pokemon.hpp"
namespace PkmnLib::Battling {
    class CaptureLibrary {
    public:
        struct CaptureResult {
            bool WasCaught;
            u8 Shakes;
            bool WasCritical;
        };

        CaptureResult TryCatch(Pokemon* pokemon, Library::Item* catchItem, ArbUt::Random* random) const;
    };
}


#endif // PKMNLIB_CAPTURELIBRARY_HPP
