#ifndef PKMNLIB_LIBRARYSETTINGS_HPP
#define PKMNLIB_LIBRARYSETTINGS_HPP

#include <CreatureLib/Library/LibrarySettings.hpp>

namespace PkmnLib::Library {
    class LibrarySettings final : public CreatureLib::Library::LibrarySettings {
        uint16_t _shinyRate;

    public:
        LibrarySettings(uint8_t maximalLevel, uint8_t maximalMoves, uint16_t shinyRate) noexcept
            : CreatureLib::Library::LibrarySettings(maximalLevel, maximalMoves), _shinyRate(shinyRate) {}

        uint16_t GetShinyRate() const noexcept { return _shinyRate; }
    };
}

#endif // PKMNLIB_LIBRARYSETTINGS_HPP
