#include "MoveData.hpp"
PkmnLib::Library::MoveData::MoveData(const ArbUt::StringView& name, uint8_t type,
                                     PkmnLib::Library::MoveCategory category, uint8_t power, uint8_t accuracy,
                                     uint8_t baseUsage, CreatureLib::Library::AttackTarget target, int8_t priority,
                                     const CreatureLib::Library::SecondaryEffect* effect,
                                     std::unordered_set<uint32_t> flags)
    : AttackData(name, type, static_cast<CreatureLib::Library::AttackCategory>(category), power, accuracy, baseUsage,
                 target, priority, effect, std::move(flags)) {}

PkmnLib::Library::MoveCategory PkmnLib::Library::MoveData::GetCategory() const {
    return static_cast<PkmnLib::Library::MoveCategory>(AttackData::GetCategory());
}
