#include "PokemonForme.hpp"

using namespace CreatureLib::Library;

PkmnLib::Library::PokemonForme::PokemonForme(const ArbUt::StringView& name, float height, float weight,
                                             uint32_t baseExperience, const ArbUt::List<uint8_t>& types,
                                             StatisticSet<uint16_t> baseStats,
                                             const ArbUt::List<ArbUt::BorrowedPtr<const Talent>>& talents,
                                             const ArbUt::List<ArbUt::BorrowedPtr<const Talent>>& secretTalents,
                                             const LearnableMoves* moves, std::unordered_set<uint32_t> flags)
    : SpeciesVariant(name, height, weight, baseExperience, types, baseStats, talents, secretTalents, moves,
                     std::move(flags)) {}
