#include "../../src/Battling/Library/BattleLibrary.hpp"
#include "../Core.hpp"
using namespace PkmnLib::Battling;

export uint8_t PkmnLib_BattleLibrary_Construct(BattleLibrary*& out, PkmnLib::Library::PokemonLibrary* staticLib,
                                               StatCalculator* statCalculator, DamageLibrary* damageLibrary,
                                               ExperienceLibrary* experienceLibrary,
                                               PkmnLib::Battling::ScriptResolver* scriptResolver,
                                               MiscLibrary* miscLibrary) {
    Try(out = new BattleLibrary(staticLib, statCalculator, damageLibrary, experienceLibrary, scriptResolver,
                                miscLibrary));
}

export void PkmnLib_BattleLibrary_Destruct(BattleLibrary* p) { delete p; }
