#ifndef PKMNLIB_EVOLUTIONSCRIPT_HPP
#define PKMNLIB_EVOLUTIONSCRIPT_HPP

#include "../Library/Evolutions/EvolutionData.hpp"

namespace PkmnLib::Battling {
    class Pokemon;

    class EvolutionScript {
    public:
        virtual void DoesEvolveFromLevelUp(const ArbUt::BorrowedPtr<const PkmnLib::Library::EvolutionData>& evolution,
                                           const ArbUt::BorrowedPtr<const PkmnLib::Battling::Pokemon>& pokemon,
                                           bool* out) const = 0;
    };
}

#endif // PKMNLIB_EVOLUTIONSCRIPT_HPP
