#ifndef PKMNLIB_EXPERIENCELIBRARY_HPP
#define PKMNLIB_EXPERIENCELIBRARY_HPP

#include <CreatureLib/Battling/Library/ExperienceLibrary.hpp>
#include <CreatureLib/Defines.hpp>

namespace PkmnLib::Battling {
    class ExperienceLibrary final : public CreatureLib::Battling::ExperienceLibrary {
    public:
        void HandleExperienceGain(
            CreatureLib::Battling::Creature* faintedMon,
            const std::unordered_set<ArbUt::BorrowedPtr<CreatureLib::Battling::Creature>>& opponents) const override;
    };
}

#endif // PKMNLIB_EXPERIENCELIBRARY_HPP
