#ifndef PKMNLIB_MOVEDATA_HPP
#define PKMNLIB_MOVEDATA_HPP

#include <CreatureLib/Library/Attacks/AttackData.hpp>
#include "MoveCategory.hpp"

namespace PkmnLib::Library {
    class MoveData final : public CreatureLib::Library::AttackData {
    private:
    public:
        MoveData(const ArbUt::StringView& name, uint8_t type, PkmnLib::Library::MoveCategory category, uint8_t power,
                 uint8_t accuracy, uint8_t baseUsage, CreatureLib::Library::AttackTarget target, int8_t priority,
                 const CreatureLib::Library::SecondaryEffect* effect, std::unordered_set<uint32_t> flags);

        PkmnLib::Library::MoveCategory GetCategory() const;
    };
}

#endif // PKMNLIB_MOVEDATA_HPP
