#ifndef PKMNLIB_REGISTERSPECIESTYPES_HPP
#define PKMNLIB_REGISTERSPECIESTYPES_HPP

#include <angelscript.h>

class RegisterSpeciesTypes {
public:
    static void Register(asIScriptEngine* engine);

private:
    static void RegisterGenderEnum(asIScriptEngine* engine);
    static void RegisterStatisticEnum(asIScriptEngine* engine);
    static void RegisterSpeciesType(asIScriptEngine* engine);
    static void RegisterFormeType(asIScriptEngine* engine);
    static void RegisterEvolutionData(asIScriptEngine* engine);
    static void RegisterSpeciesLibrary(asIScriptEngine* engine);
};

#endif // PKMNLIB_REGISTERSPECIESTYPES_HPP
